This document lists the events and parameters for
various types of
Cloud Search Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=cloud_search`.

## List Query Sources


Event Type for list query sources.
Events of this type are returned with `type=LIST_QUERY_SOURCES`.

### List Query Sources Query

Event name for list query sources.
Event details Event name `LIST_QUERY_SOURCES` Parameters `api_call_common_fields_container` `message`


Common fields sent in the API call.
`api_status` `message`


Response Status of the API call.
`device_info` `message`


Device info of the request.
`list_query_sources_request` `message`


List query sources request.
`list_query_sources_response` `message`


List query sources response.
`request_type` `string`


Request type (1P Web, 1P Mobile, API).
Possible values:

- `1P_MOBILE`  
  Parameter to indicate that the request is a 1P Mobile request.
- `1P_WEB`  
  Parameter to indicate that the request is a 1P Web request.
- `API`  
  Parameter to indicate that the request is an API request.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/cloud_search?eventName=LIST_QUERY_SOURCES&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} requested for list of query sources`

## search


Event type for search.
Events of this type are returned with `type=SEARCH_QUERY`.

### Search query

Event name for user searching a query.
Event details Event name `SEARCH` Parameters `api_call_common_fields_container` `message`


Common fields sent in the API call.
`api_status` `message`


Response Status of the API call.
`device_info` `message`


Device info of the request.
`request_type` `string`


Request type (1P Web, 1P Mobile, API).
Possible values:

- `1P_MOBILE`  
  Parameter to indicate that the request is a 1P Mobile request.
- `1P_WEB`  
  Parameter to indicate that the request is a 1P Web request.
- `API`  
  Parameter to indicate that the request is an API request.
`SEARCH_APPLICATION_ID` `string`


Search application id.
`search_request` `message`


Search Request issued for the user search query.
`search_response` `message`


Search Response sent to the user.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/cloud_search?eventName=SEARCH&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} searched a query`

## suggest


Event type for suggest.
Events of this type are returned with `type=SUGGEST_QUERY`.

### Suggest Query

Event name for a suggest query.
Event details Event name `SUGGEST` Parameters `api_call_common_fields_container` `message`


Common fields sent in the API call.
`api_status` `message`


Response Status of the API call.
`device_info` `message`


Device info of the request.
`request_type` `string`


Request type (1P Web, 1P Mobile, API).
Possible values:

- `1P_MOBILE`  
  Parameter to indicate that the request is a 1P Mobile request.
- `1P_WEB`  
  Parameter to indicate that the request is a 1P Web request.
- `API`  
  Parameter to indicate that the request is an API request.
`suggest_request` `message`


Suggest request issued for the user suggest query.
`suggest_response` `message`


Suggest Response sent to the user.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/cloud_search?eventName=SUGGEST&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} was suggested a query`